#!/bin/bash

. /usr/lib/nagios/plugins/utils.sh

PIDFILE=~buildd/build/buildd.pid

if [ ! -e $PIDFILE ]; then
	echo "No buildd pidfile found."
	exit $STATE_WARNING
fi

PID=$( cat $PIDFILE )
CMD=$( ps --no-headers -o cmd $PID )

if [ "$CMD" = "/usr/bin/perl /usr/bin/buildd" ]; then
	echo "DAK buildd running"
	exit $STATE_OK
fi

echo "Unable to find a running buildd!"
exit $STATE_WARNING
