#!/bin/sh 
TIME=.5
check_head() {
    size=$1; shift
    host=$1; shift
    file=$1; shift
    found=$( (echo HEAD /$file HTTP/1.1; echo Host: $host; echo; sleep $TIME) | nc -q0 $host 80 |     grep -c -e '^HTTP/1.0 200 OK' -e "^Content-Length: $size")
    if [ "$found" = 2 ]; then
	return 0;
    else
	echo http://$host/$file
        (echo HEAD /$file HTTP/1.1; echo Host: $host; echo; sleep $TIME) | nc -q0 $host 80  | echo $file $(grep -e ^HTTP -e ^Content-Length)
	return 2
    fi
}

RET=0
check_head 729446400 d2j60aaoklmkol.cloudfront.net kubuntu-9.04-alternate-amd64.iso || RET=2
check_head 728272896 d2j60aaoklmkol.cloudfront.net kubuntu-9.04-alternate-i386.iso || RET=2
check_head 728426496 d2j60aaoklmkol.cloudfront.net kubuntu-9.04-desktop-amd64.iso || RET=2
check_head 729608192 d2j60aaoklmkol.cloudfront.net kubuntu-9.04-desktop-i386.iso || RET=2
check_head 732282880 d2j60aaoklmkol.cloudfront.net ubuntu-9.04-alternate-amd64.iso || RET=2
check_head 731389952 d2j60aaoklmkol.cloudfront.net ubuntu-9.04-alternate-i386.iso || RET=2
check_head 730554368 d2j60aaoklmkol.cloudfront.net ubuntu-9.04-desktop-amd64.iso || RET=2
check_head 732909568 d2j60aaoklmkol.cloudfront.net ubuntu-9.04-desktop-i386.iso || RET=2
check_head 992837632 d2j60aaoklmkol.cloudfront.net a/ubuntu-9.04-netbook-remix-i386.img || RET=2
check_head 621817856 d2j60aaoklmkol.cloudfront.net ubuntu-9.04-server-amd64.iso || RET=2
check_head 605253632 d2j60aaoklmkol.cloudfront.net ubuntu-9.04-server-i386.iso || RET=2

if [ $RET = "0" ]; then echo OK; fi

exit $RET

#403 check_head 727537664 dd7il3djyya50.cloudfront.net kubuntu-9.04-rc-alternate-amd64.iso || RET=2
#403 check_head 720875520 dd7il3djyya50.cloudfront.net kubuntu-9.04-rc-alternate-i386.iso || RET=2
#403 check_head 728655872 dd7il3djyya50.cloudfront.net kubuntu-9.04-rc-desktop-amd64.iso || RET=2
#403 check_head 722690048 dd7il3djyya50.cloudfront.net kubuntu-9.04-rc-desktop-i386.iso || RET=2
check_head 724975616 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-alternate-amd64.iso || RET=2
check_head 719265792 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-alternate-i386.iso || RET=2
check_head 732088320 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-desktop-amd64.iso || RET=2
check_head 733267968 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-desktop-i386.iso || RET=2
#403 check_head 887586816 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-netbook-remix-i386.img || RET=2
check_head 620486656 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-server-amd64.iso || RET=2
check_head 603875328 dd7il3djyya50.cloudfront.net ubuntu-9.04-rc-server-i386.iso || RET=2
