#!/bin/sh

# Copyright (C) 2009 Sean Sosik-Hamor <sean.sosik-hamor@canonical.com>

set -e
set -u

logfile=/var/log/asterisk/messages
time=`date "+%b %d %H:%M"`

if (egrep 'No D-channels available' $logfile | egrep -q "$time"); then
  echo "Wanpipe errors"
  exit 2
fi

echo "OK"
exit 0
