#!/bin/bash
. /usr/lib/nagios/plugins/utils.sh

PXEDIR="/srv/tftpboot/pxelinux.cfg"
STONITHS=${PXEDIR}/KILLED-*.cfg

for system in $STONITHS
do
        if [ -e $system ] 
        then
                ls -1 $STONITHS | while read i; do
                        i=${i##*-}
                        echo ${i%.cfg}
                done | xargs echo "Enablement servers locked:"

                exit $STATE_WARNING
        fi
done

echo "No enablement servers in STONITH state."
exit $STATE_OK
